Bug 139195 - horizontal snapping changes with of 'ö'
horizontal snapping changes with of 'ö'
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Brock Organ
http://www.alexander.bostrom.net/ouml...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 17:25 EST by Alexander Boström
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bitstream Vera Sans at size 12 (22.64 KB, image/png)
2004-11-15 16:28 EST, Alexander Boström
no flags Details
Bitstream Vera Sans Mono at size 12 (22.88 KB, image/png)
2004-11-15 16:28 EST, Alexander Boström
no flags Details

  None (edit)
Description Alexander Boström 2004-11-13 17:25:24 EST
Description of problem:
The letter 'ö' of Bitstream Vera Sans at size 11 and 12 is narrow
compared to an 'o' when subpixel rendering is enabled.

Version-Release number of selected component (if applicable):
2.1.9-1

How reproducible:
Always

Steps to Reproduce:
1. Install FC3 and update.
2. Create test account and log in.
3. Enable subpixel rendering in the Font preferences.
4. Go to http://www.alexander.bostrom.net/ouml.html using Firefox.
  
Actual results:
The letter 'ö' is not as wide as the letter 'o'.

Expected results:
The letter 'ö' should look like an 'o' with two dots.

Additional info:
See
http://bugzilla.redhat.com/bugzilla/attachment.cgi?id=106652&action=view
from bug #139194 for a screenshot.
Comment 1 Owen Taylor 2004-11-15 14:12:49 EST
Looks like it is coming from a different font?

Can you:

 A) Do screenshots with the font selector from gnome-font-selector
    rather than firefox. Firefox font selection isn't directly
    driven off the system mechanismss.
 
 B) As for bug 139194, provide unscaled croppedscreenshots, rather 
    than scaled screenshots.
Comment 2 Alexander Boström 2004-11-15 16:26:14 EST
Ok, here are a couple of more screenshots. Neither these are scaled. :-)
Comment 3 Alexander Boström 2004-11-15 16:28:01 EST
Created attachment 106754 [details]
Bitstream Vera Sans at size 12
Comment 4 Alexander Boström 2004-11-15 16:28:42 EST
Created attachment 106755 [details]
Bitstream Vera Sans Mono at size 12
Comment 5 Owen Taylor 2004-11-15 17:12:07 EST
Confirmed. Weird. Something is going wrong in the autohinter code
that snaps the width of the stems to integral widths. (Note that
the same thing happens for "mono" rendering.)
Comment 6 Matthew Miller 2006-07-10 17:24:14 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-30 17:31:19 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.